com.mxgraph.swing.handler

## Class mxConnectPreview

- java.lang.Object
- - com.mxgraph.util.mxEventSource
  - - com.mxgraph.swing.handler.mxConnectPreview

-     public class mxConnectPreview
      extends mxEventSource

  Connection handler creates new connections between cells. This control is used to display the connector icon, while the preview is used to draw the line.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource

      `mxEventSource.mxIEventListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected mxGraphComponent` | `graphComponent`
    `protected mxCellState` | `previewState`
    `protected mxCellState` | `sourceState`
    `protected mxPoint` | `startPoint`

    - ### Fields inherited from class com.mxgraph.util.mxEventSource

      `eventListeners, eventsEnabled, eventSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxConnectPreview(mxGraphComponent graphComponent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `createCell(mxCellState startState, java.lang.String style)` Creates a new instance of mxShape for previewing the edge.
    `protected java.awt.Rectangle` | `getDirtyRect()`
    `protected java.awt.Rectangle` | `getDirtyRect(mxRectangle dirty)`
    `mxCellState` | `getPreviewState()`
    `mxCellState` | `getSourceState()`
    `mxPoint` | `getStartPoint()`
    `boolean` | `isActive()`
    `void` | `paint(java.awt.Graphics g)`
    `protected void` | `paintPreview(mxGraphics2DCanvas canvas)` Draws the preview using the graphics canvas.
    `void` | `revalidate(mxCellState state)`
    `void` | `start(java.awt.event.MouseEvent e, mxCellState startState, java.lang.String style)` Updates the style of the edge preview from the incoming edge
    `java.lang.Object` | `stop(boolean commit)`
    `java.lang.Object` | `stop(boolean commit, java.awt.event.MouseEvent e)`
    `protected mxPoint` | `transformScreenPoint(double x, double y)`
    `void` | `update(java.awt.event.MouseEvent e, mxCellState targetState, double x, double y)`

    - ### Methods inherited from class com.mxgraph.util.mxEventSource

      `addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graphComponent

          protected mxGraphComponent graphComponent

    - #### previewState

          protected mxCellState previewState

    - #### sourceState

          protected mxCellState sourceState

    - #### startPoint

          protected mxPoint startPoint

  - ### Constructor Detail

    - #### mxConnectPreview

          public mxConnectPreview(mxGraphComponent graphComponent)

      Parameters:
        `graphComponent` -

  - ### Method Detail

    - #### createCell

          protected java.lang.Object createCell(mxCellState startState,
                                    java.lang.String style)

      Creates a new instance of mxShape for previewing the edge.

    - #### isActive

          public boolean isActive()

    - #### getSourceState

          public mxCellState getSourceState()

    - #### getPreviewState

          public mxCellState getPreviewState()

    - #### getStartPoint

          public mxPoint getStartPoint()

    - #### start

          public void start(java.awt.event.MouseEvent e,
                   mxCellState startState,
                   java.lang.String style)

      Updates the style of the edge preview from the incoming edge

    - #### update

          public void update(java.awt.event.MouseEvent e,
                    mxCellState targetState,
                    double x,
                    double y)

    - #### getDirtyRect

          protected java.awt.Rectangle getDirtyRect()

    - #### getDirtyRect

          protected java.awt.Rectangle getDirtyRect(mxRectangle dirty)

    - #### transformScreenPoint

          protected mxPoint transformScreenPoint(double x,
                                     double y)

    - #### revalidate

          public void revalidate(mxCellState state)

    - #### paint

          public void paint(java.awt.Graphics g)

    - #### paintPreview

          protected void paintPreview(mxGraphics2DCanvas canvas)

      Draws the preview using the graphics canvas.

    - #### stop

          public java.lang.Object stop(boolean commit)

    - #### stop

          public java.lang.Object stop(boolean commit,
                              java.awt.event.MouseEvent e)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.